
#ifndef	C4W_VBXBI_CH
#define	C4W_VBXBI_CH

#ifdef RC_INVOKED
#undef	NO_DLL
#define	NO_DLL
#endif

#ifdef WORKSHOP_INVOKED
#undef	NO_DLL
#define	NO_DLL
#endif

#ifdef RC_INVOKED
#define	DLGINIT		240
#else
#define	RT_DLGINIT	240
#endif

#ifndef	NO_DLL
//#include "dll.ch"
#endif	// NO_DLL

////////////////////////////
//
//	Clip-4-Win VBXEVENT structure definitions
//
//	Copyright (C) 1994 Skelton Software, Kendal Cottage, Hillam, Leeds, UK.
//	All Rights Reserved.
//
////////////////////////////

#ifndef	C4W_VBXEV_CH
#define	C4W_VBXEV_CH

// Array elements of aVBXEvent[], which is used with VBX controls
//
// (these correspond to the members of the Windows VBXEVENT structure)

#define	VBXEV_Control	1
#define	VBXEV_Window	2
#define	VBXEV_ID	3
#define	VBXEV_EventIndex 4
#define	VBXEV_EventName	5
#define	VBXEV_NumParams	6
#define	VBXEV_ParamList	7

#define	VBXEV_LENGTH	7	// length of array

//#define VBXEV_STRUCT_DEF  "DWORD,UINT,int,int,DWORD,int,DWORD" // for bin2a()
#define	VBXEV_STRUCT_DEF  "DWORD,UINT,int,int,LPSTR,int,DWORD" // for bin2a()
#define	VBXEV_BYTELEN	  20	// for peek/poke

#endif	// C4W_VBXEV_CH

// property data types:
#define	PDT_CSTRING	1	// HSZ (PSZ)
#define	PDT_SHORT	2
#define	PDT_LONG	3
#define	PDT_BOOL	4
#define	PDT_COLOR	5	// DWORD/COLORREF
#define	PDT_ENUM	6	// only a BYTE, but treated as SHORT
#define	PDT_REAL	7	// 4-byte float
#define	PDT_XPOS	8	// TWIPS (long)
#define	PDT_XSIZE	9	// TWIPS (long)
#define	PDT_YPOS	10	// TWIPS (long)
#define	PDT_YSIZE	11	// TWIPS (long)
#define	PDT_PICTURE	12	// HPIC
#define	PDT_BSTRING	13	// HLSTR (internal VB string)


#ifndef	NO_DLL

// handle Clipper 10-char limit on external names
#xtranslate VBXEnableDLL	=>	VBXEnaDLL
#xtranslate VBXGetArrayProp	=>	VBXGetAPrp
#xtranslate VBXSetArrayProp	=>	VBXSetAPrp
#xtranslate VBXGetPropByName	=>	VBXGPrByName
#xtranslate VBXSetPropByName	=>	VBXSPrByName
#xtranslate VBXGetPropIndex	=>	VBXGPrIndex
#xtranslate VBXGetPropType	=>	VBXGPrType
#xtranslate VBXGetEventIndex	=>	VBXGEvIndex
#xtranslate VBXGetEventName	=>	VBXGEvName

#xtranslate VBXMethodRefresh	=>	VBXMRefresh
#xtranslate VBXMethodRemoveItem	=>	VBXMRemoveItem

#xtranslate VBXTwp2PixX		=>	VBXTwp2PX
#xtranslate VBXTwp2PixY		=>	VBXTwp2PY
#xtranslate VBXPix2TwpX		=>	VBXPix2TX
#xtranslate VBXPix2TwpY		=>	VBXPix2TY

//#xtranslate VBXGetBasicStringPtr	=>	VBXStr
//#xtranslate VBXGetBasicStringLength	=>	VBXStrLen

#endif	// NO_DLL


#define	DRAG_CANCEL	0
#define	DRAG_BEGIN	1
#define	DRAG_END	2


#define	PICTURE_NONE	0
#define	PICTURE_BMP	1	// bitmap
#define	PICTURE_MF	2	// metafile
#define	PICTURE_ICO	3	// icon

#endif	// C4W_VBXBI_CH
